
QGIS Application - Bug report #19035

trying to delete a column of a .csv layer (no geometry) via layer properties --> source fields

2018-05-25 08:00 PM - Christoph Aberle

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Field calculator

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Pro 1709 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26866

Description

User Feedback

Report Details

Crash ID: 3ee2186447a151eaa0a2e51957baf23e8f428f7a

Stack Trace

QgsField::QgsField :

QgsFields::field :

QgsAttributeForm::updateJoinedFields :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsEditorWidgetWrapper::emitValueChanged :

QMetaObject::activate :

QSpinBox::displayIntegerBase :

QAbstractSpinBox::setSpecialValueText :

QSpinBox::setValue :

QgsRangeWidgetWrapper::setValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListView::ensureEditSelection :

QMetaObject::activate :

QAbstractItemModel::modelReset :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayer::deleteAttribute :

QgsVectorLayer::deleteAttributes :
QgsSourceFieldsProperties::deleteAttributeClicked :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties :

QgisApp::layerTreeViewDoubleClicked :

QMetaObject::activate :

QAbstractItemView::doubleClicked :

QTreeView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2
Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-06-11 07:37 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-06-11 07:56 AM - Alessandro Pasotti

- Status changed from Open to Feedback

I cannot reproduce this bug either on Linux or on Windows.

Can you please attach a minimal project and data and step-by-step procedure to reproduce?

#3 - 2018-08-16 12:02 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

2024-04-27 3/3


